#
# spec file for package type1inst (Version 0.6.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           type1inst
License:        GPL
Group:          Productivity/Publishing/PS
Version:        0.6.1
Release:        604.2
Summary:        A PostScript Font Installation Utility
Autoreqprov:    on
Requires:       groff
Source:         ftp://sunsite.unc.edu/pub/Linux/X11/xutils/%name-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
type1inst is a small Perl script which generates the fonts.scale file
required by an X Window System server to use any Type 1 PostScript
fonts which exist in a particular directory. It gathers this
information from the font files themselves, a task which previously was
done by hand. The script is also capable of generating the similar
Fontmap file used by ghostscript. It can also generate sample sheets
for the fonts.



Authors:
--------
    James Macnicol <james.macnicol@mailexcite.com>

%debug_package
%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%_mandir/man1/
install -m 755 type1inst t1embed $RPM_BUILD_ROOT/usr/bin/
install -m 644 type1inst.man $RPM_BUILD_ROOT%_mandir/man1/type1inst.1

%files
%defattr(-, root, root)
%doc ChangeLog README type1inst-%version.lsm
%doc %_mandir/man1/type1inst.1.gz
/usr/bin/type1inst
/usr/bin/t1embed

%changelog -n type1inst
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
- Simplify the specfile a bit
- It's noarch
* Fri Nov 10 2000 - grimmer@suse.de
- initial package (version 0.6.1)
